// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App.vue'
import 'vant/lib/index.css'
import router from './router'
import api from './api/index'
Vue.prototype._axios = api
import VueCupUi from 'vue-cup-ui';
import 'vue-cup-ui/lib/vue-cup-ui.css';
Vue.use(VueCupUi);
import {Button, Collapse, CollapseItem, row, col, icon } from 'vant';
Vue.use(Button).use(Collapse).use(CollapseItem).use(row).use(col).use(icon);
Vue.config.productionTip = false

/* eslint-disable no-new */
const vue = new Vue({
  router,
  render: h => h(App)
}).$mount('#app')


export default vue